This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 459630 - GFS2: changes needed to gfs2-utils due to gfs2meta fs changes in bz 457798
GFS2: changes needed to gfs2-utils due to gfs2meta fs changes in bz 457798
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Abhijith Das
Cluster QE
:
Depends On: 457798
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 14:28 EDT by Robert Peterson
Modified: 2010-01-11 22:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:51:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to mount '-o meta' insteaed of '-t gfs2meta' (1.16 KB, patch)
2008-08-28 10:50 EDT, Abhijith Das
no flags Details | Diff
One-liner to use gfs2 path instead of gfs2 device to mount metafs (460 bytes, patch)
2008-09-12 01:46 EDT, Abhijith Das
no flags Details | Diff

  None (edit)
Description Robert Peterson 2008-08-20 14:28:21 EDT
Description of problem:
Bug #457798 changed the metadata file system from the metafs type
to having a new -o meta mount option.  Three of the user space GFS2
programs need to be changed to match the new value.  Those are:
mkfs.gfs2 (gfs2_jadd, gfs2_grow), gfs2_quota and gfs2_tool.
They all use the libgfs2 function find_gfs2_meta, which is what needs
to be changed.

Version-Release number of selected component (if applicable):
RHEL5.3

How reproducible:
Always

Steps to Reproduce:
1. gfs2_jadd ... /mnt/gfs2
2. gfs2_tool lockdump /mnt/gfs2
3. etc.
  
Actual results:
Will fail with the fix for bug 457798.

Expected results:
All of these tools should work perfectly.

Additional info:
This fix is co-dependent with bug #457798 and their respective
fixes should be shipped at the same time.  The kernel doesn't break
without this fix, but the GFS2 userland tools may not work properly.
Any fix done for this bugzilla will, however, require that fix in
the kernel.
Comment 2 Abhijith Das 2008-08-28 10:50:29 EDT
Created attachment 315223 [details]
patch to mount '-o meta' insteaed of '-t gfs2meta'

This patch makes the user tools now look for a gfs2 filesystem with -o meta mount option, instead of looking for a 'gfs2meta' filesystem. Also, when mounting, we mount '-t gfs2 -o meta' instead of '-t gfs2meta'
Comment 3 Abhijith Das 2008-09-12 01:46:04 EDT
Created attachment 316527 [details]
One-liner to use gfs2 path instead of gfs2 device to mount metafs

The changes to the gfs2meta component of gfs2 (through bz 457798) does not require any major changes to gfs2_utils except this one liner. We now use the gfs2 mount point rather than the device to mount the meta fs.

Checking in this patch to RHEL5, STABLE2.
Comment 6 errata-xmlrpc 2009-01-20 15:51:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0087.html

Note You need to log in before you can comment on or make changes to this bug.